/*
 * This file and everything in this package is covered under
 * the GNU General Public License.  See the LICENSE file at the top
 * level of this package for full details.  A copy of the license
 * is also available at: http://opendj.org/docs/licenses/LICENSE.gpl
 *
 * Copyright 2001 DAX Interactive, LLC.
 * 
 * $Author: jonathan $
 * $Revision: 1.1.1.1 $
 * $Header: /home/cvspublic/opendj/opendj-plugins/src/org/opendj/plugins/rerun/player/RerunPlayerException.java,v 1.1.1.1 2001/09/29 20:36:57 jonathan Exp $
 * $Log: RerunPlayerException.java,v $
 * Revision 1.1.1.1  2001/09/29 20:36:57  jonathan
 * Imported opendj-plugins
 *
 */
package org.opendj.plugins.rerun.player;

import org.opendj.util.NestedException;

public class RerunPlayerException extends NestedException {

    public static final String E_AUTH_FAILED
        = "Error authenticating with server";

    public static final String E_BROADCAST_FAILED
        = "Unexpected server response to BROADCAST command";

    public static final String E_WAITFOREXIT_FAILED
        = "Unexpected server response to WAITFOREXIT command";

    public RerunPlayerException() {}

    public RerunPlayerException(String s) {
        super(s);
    }

    public RerunPlayerException(Throwable t) {
        super(t);
    }

    public RerunPlayerException(String s, Throwable t) {
        super(s, t);
    }

}
