/*
 * This file and everything in this package is covered under
 * the GNU General Public License.  See the LICENSE file at the top
 * level of this package for full details.  A copy of the license
 * is also available at: http://opendj.org/docs/licenses/LICENSE.gpl
 *
 * Copyright 2001 DAX Interactive, LLC.
 * 
 * $Author: jonathan $
 * $Revision: 1.1.1.1 $
 * $Header: /home/cvspublic/opendj/opendj-plugins/src/org/opendj/plugins/rerun/player/RerunPlaylist.java,v 1.1.1.1 2001/09/29 20:36:57 jonathan Exp $
 * $Log: RerunPlaylist.java,v $
 * Revision 1.1.1.1  2001/09/29 20:36:57  jonathan
 * Imported opendj-plugins
 *
 */
package org.opendj.plugins.rerun.player;

import java.util.Date;
import org.jrev.Playlist;
import org.jrev.StreamSource;
import org.opendj.util.Config;
import org.opendj.util.debug;
import org.opendj.beans.archive.AudioArchiveBean;

public class RerunPlaylist implements Playlist {
    
    private AudioArchiveBean itsArchive = null;
    private RerunStreamSource itsSource = null;
    private String itsDeadAirMP3Dir = null;

    public RerunPlaylist () {
        itsDeadAirMP3Dir = Config.global().getProperty(Config.PROP_RERUNDEADAIRMP3DIR);
    }

    public void setArchive ( AudioArchiveBean theArchive ) {
        itsArchive = theArchive;
        itsSource = new RerunStreamSource(theArchive);
    }

    public int getBitrate () {
        return itsSource.bitrate();
    }
    
    public StreamSource currentSource () {
        log("currentSource called, returning " + itsSource);
        return itsSource;
    }

    public StreamSource nextSource () {
        log("nextSource called, returning " + itsSource.getDeadAirStream(itsDeadAirMP3Dir));
        return itsSource.getDeadAirStream(itsDeadAirMP3Dir);
    }

    public void finish () {
        try { itsSource.close(); } catch ( Exception e ) {}
    }

    private void log (String s) {
        debug.out((new Date()).toString() + ": RerunPlaylist: " + s);
    }
}
