/*
 * This file and everything in this package is covered under
 * the GNU General Public License.  See the LICENSE file at the top
 * level of this package for full details.  A copy of the license
 * is also available at: http://opendj.org/docs/licenses/LICENSE.gpl
 *
 * Copyright 2001 DAX Interactive, LLC.
 * 
 * $Author: jonathan $
 * $Revision: 1.1.1.1 $
 * $Header: /home/cvspublic/opendj/opendj-plugins/src/org/opendj/plugins/rerun/scheduler/EmptySlot.java,v 1.1.1.1 2001/09/29 20:36:57 jonathan Exp $
 * $Log: EmptySlot.java,v $
 * Revision 1.1.1.1  2001/09/29 20:36:57  jonathan
 * Imported opendj-plugins
 *
 */
package org.opendj.plugins.rerun.scheduler;

import org.opendj.util.Util;
import org.opendj.util.DBFormat;

public class EmptySlot {

    public long itsStart = -1;
    public long itsEnd = -1;

    public EmptySlot ( long theStart, long theEnd ) {
        itsStart = theStart;
        itsEnd = theEnd;
    }

    public long getStart () { return itsStart; }
    public long getEnd () { return itsEnd; }

    public long getDuration () { return itsEnd - itsStart; }

    public long getNumHalfHours() { return getDuration() / (Util.MILLIS_IN_MINUTE*30); }

    public String toString() {
        return "[EmptySlot "
            + "start=" + DBFormat.FormatDateTimeEx(itsStart) + ", "
            + "end=" + DBFormat.FormatDateTimeEx(itsEnd) + "]";
    }
}
